%define version  1.0.1
%define release  %mkrel 0.%revision.4
%define oname    videoplayer
%define revision 745290

Name:		kde4-videoplayer
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:		http://www.kde.org/
Group:		Video
Source0:	%{oname}-%version.%revision.tar.bz2
Summary:        Video Player for KDE4
BuildRequires:  kdelibs4-devel


%description
%oname is  a Video Player for KDE4

%post
%{update_desktop_database}
%update_icon_cache crystalsvg

%postun
%{clean_desktop_database}
%clean_icon_cache crystalsvg

%files
%defattr(-,root,root)
%_kde_bindir/videoplayer
%_kde_datadir/applications/kde4/videoplayer.desktop
%_kde_appsdir/videoplayer/videoplayerui.rc
%_kde_datadir/config/videoplayerrc
%_kde_iconsdir/crystalsvg/*/apps/videoplayer.png
%_kde_datadir/kde4/servicetypes/videoplayer_play_dvd.desktop


#------------------------------------------------

%prep
%setup -q -n %oname-%version

%build
%cmake_kde4 
%make

%install
cd build
rm -rf %buildroot
%{makeinstall_std}


%clean
rm -rf %buildroot


%changelog
* Sat Dec 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-0.745290.4mdv2008.1
+ Revision: 139289
- Rebuild against new kde4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-0.745290.3mdv2008.1
+ Revision: 117235
- Rebuild for new kdebase

* Fri Dec 07 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-0.745290.1mdv2008.1
+ Revision: 116274
- Fix Group
- import kde4-videoplayer


